Version 4.0.26.22 (latest)
Create a Workforce test configuration.
Calls to this endpoint may only be available for Looker (Google Cloud core).
Request
POST
/workforce_test_configs
Datatype
Description
Request
body
Expand HTTP Body definition...
body
Workforce test config
Expand WorkforceConfig definition...
can
lock
Operations the current user is able to perform on this object
enabled
Enable/Disable Workforce authentication for the server. This property cannot be modified on Looker (Google Cloud core) instances. Manage this setting via the instance configuration page instead.
new_user_migration_types
Merge first-time workforce login to existing user account by email addresses. When a user logs in for the first time via workforce this option will connect this user into their existing account by finding the account with a matching email address by testing the given types of credentials for existing users. Otherwise a new user account will be created for the user. This list (if provided) must be a comma separated list of string like 'email,ldap,google'
test_slug
lock
Slug to identify configurations that are created in order to run a Workforce config test
modified_at
lock
When this config was last modified
modified_by
lock
User id of user who last modified this config
default_new_user_roles
default_new_user_role_ids
default_new_user_groups
default_new_user_group_ids
set_roles_from_groups
Set user roles in Looker based on groups from Workforce
groups
groups_with_role_ids
user_attributes
user_attributes_with_ids
allow_normal_group_membership
Allow Workforce auth'd users to be members of non-reflected Looker groups. If 'false', user will be removed from non-reflected groups on login.
allow_roles_from_normal_groups
Workforce auth'd users will inherit roles from non-reflected Looker groups.
allow_direct_roles
Allows roles to be directly assigned to Workforce auth'd users.
auth_requires_role
Users will not be allowed to login at all unless a role for them is found in Workforce if set to true
bypass_login_page
Bypass the login page and redirect to Workforce Identity Federation if set to true
url
lock
Link to get this item
Response
200: Workforce test config
Datatype
Description
(object)
can
lock
Operations the current user is able to perform on this object
enabled
Enable/Disable Workforce authentication for the server. This property cannot be modified on Looker (Google Cloud core) instances. Manage this setting via the instance configuration page instead.
new_user_migration_types
Merge first-time workforce login to existing user account by email addresses. When a user logs in for the first time via workforce this option will connect this user into their existing account by finding the account with a matching email address by testing the given types of credentials for existing users. Otherwise a new user account will be created for the user. This list (if provided) must be a comma separated list of string like 'email,ldap,google'
test_slug
lock
Slug to identify configurations that are created in order to run a Workforce config test
modified_at
lock
When this config was last modified
modified_by
lock
User id of user who last modified this config
default_new_user_roles
Expand Role definition...
can
lock
Operations the current user is able to perform on this object
id
lock
Unique Id
name
Name of Role
permission_set
lock
(Read only) Permission set
Expand PermissionSet definition...
can
lock
Operations the current user is able to perform on this object
all_access
lock
built_in
lock
id
lock
Unique Id
name
Name of PermissionSet
permissions
url
lock
Link to get this item
permission_set_id
(Write-Only) Id of permission set
model_set
lock
(Read only) Model set
Expand ModelSet definition...
can
lock
Operations the current user is able to perform on this object
all_access
lock
built_in
lock
id
lock
Unique Id
models
name
Name of ModelSet
url
lock
Link to get this item
model_set_id
(Write-Only) Id of model set
internal
lock
Is this a Looker internal role
url
lock
Link to get this item
users_url
lock
Link to get list of users with this role
default_new_user_role_ids
default_new_user_groups
Expand Group definition...
can
lock
Operations the current user is able to perform on this object
can_add_to_content_metadata
Group can be used in content access controls
contains_current_user
lock
Currently logged in user is group member
external_group_id
lock
External Id group if embed group
externally_managed
lock
Group membership controlled outside of Looker
id
lock
Unique Id
include_by_default
lock
New users are added to this group by default
name
Name of group
user_count
lock
Number of users included in this group
default_new_user_group_ids
set_roles_from_groups
Set user roles in Looker based on groups from Workforce
groups
Expand WorkforceGroupRead definition...
id
lock
Unique Id
looker_group_id
lock
Unique Id of group in Looker
looker_group_name
lock
Name of group in Looker
name
lock
Name of group in Workforce
roles
Expand Role definition...
can
lock
Operations the current user is able to perform on this object
id
lock
Unique Id
name
Name of Role
permission_set
lock
(Read only) Permission set
permission_set_id
(Write-Only) Id of permission set
model_set
lock
(Read only) Model set
model_set_id
(Write-Only) Id of model set
internal
lock
Is this a Looker internal role
url
lock
Link to get this item
users_url
lock
Link to get list of users with this role
groups_with_role_ids
Expand WorkforceGroupWrite definition...
id
Unique Id
looker_group_id
lock
Unique Id of group in Looker
looker_group_name
Name of group in Looker
name
Name of group in Workforce
role_ids
user_attributes
Expand WorkforceUserAttributeRead definition...
name
lock
Name of User Attribute in Workforce
required
lock
Required to be in Workforce assertion for login to be allowed to succeed
user_attributes
Expand UserAttribute definition...
can
lock
Operations the current user is able to perform on this object
id
lock
Unique Id
name
Name of user attribute
label
Human-friendly label for user attribute
type
Type of user attribute ("string", "number", "datetime", "yesno", "zipcode", "advanced_filter_string", "advanced_filter_number", "file")
default_value
Default value for when no value is set on the user
is_system
lock
Attribute is a system default
is_permanent
lock
Attribute is permanent and cannot be deleted
value_is_hidden
If true, users will not be able to view values of this attribute
user_can_view
Non-admin users can see the values of their attributes and use them in filters
user_can_edit
Users can change the value of this attribute for themselves
hidden_value_domain_whitelist
Destinations to which a hidden attribute may be sent. Once set, cannot be edited.
needed_for_ci_run
Whether this user attribute is needed for a CI run
value_for_ci_run
The value to use for this user attribute during a CI run
user_attributes_with_ids
Expand WorkforceUserAttributeWrite definition...
name
Name of User Attribute in Workforce
required
Required to be in Workforce assertion for login to be allowed to succeed
user_attribute_ids
allow_normal_group_membership
Allow Workforce auth'd users to be members of non-reflected Looker groups. If 'false', user will be removed from non-reflected groups on login.
allow_roles_from_normal_groups
Workforce auth'd users will inherit roles from non-reflected Looker groups.
allow_direct_roles
Allows roles to be directly assigned to Workforce auth'd users.
auth_requires_role
Users will not be allowed to login at all unless a role for them is found in Workforce if set to true
bypass_login_page
Bypass the login page and redirect to Workforce Identity Federation if set to true
url
lock
Link to get this item
400: Bad Request
Datatype
Description
(object)
message
lock
Error details
documentation_url
lock
Documentation link
403: Permission Denied
Datatype
Description
(object)
message
lock
Error details
documentation_url
lock
Documentation link
404: Not Found
Datatype
Description
(object)
message
lock
Error details
documentation_url
lock
Documentation link
422: Validation Error
Datatype
Description
(object)
message
lock
Error details
errors
Expand ValidationErrorDetail definition...
field
lock
Field with error
code
lock
Error code
message
lock
Error info message
documentation_url
lock
Documentation link
documentation_url
lock
Documentation link
429: Too Many Requests
Datatype
Description
(object)
message
lock
Error details
documentation_url
lock
Documentation link